Skylighting.Types

# Syntax descriptions

type ContextName

data KeywordAttr

data WordSet a

makeWordSet

inWordSet

data Matcher

data Rule

data Context

data ContextSwitch

data Syntax

type SyntaxMap

# Tokens

type Token

data TokenType

type SourceLine

# Styles

data TokenStyle

defStyle

data Color

class ToColor a

class FromColor a

data Style

# Format options

data FormatOptions

defaultFormatOpts